/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [
  {
    path: '/',
    component: () => import('@/views/layouts/index'),
    redirect: '/index',
    meta: {
      title: '成长',
      keepAlive: false
    },
    children: [
      {
        path: '/index',
        name: 'Development',
        component: () => import('@/views/development/index'),
        meta: { title: '成长', keepAlive: false }
      },
      {
        path: '/today',
        name: 'Today',
        component: () => import('@/views/today/index'),
        meta: { title: '今日', keepAlive: false }
      },
      {
        path: '/insight',
        name: 'Insight',
        component: () => import('@/views/insight/index'),
        meta: { title: '洞悉', keepAlive: false }
      },
      {
        path: '/optimize',
        name: 'Optimize',
        component: () => import('@/views/optimize/index'),
        meta: { title: '优化', keepAlive: false }
      },
      {
        path: '/myself',
        name: 'Myself',
        component: () => import('@/views/myself/index'),
        meta: { title: '我的', keepAlive: false }
      },
      {
        path: '/familyNumber',
        name: 'familyNumber',
        component: () => import('@/views/myself/familyNumber'),
        meta: { title: '亲情号码', keepAlive: false }
      },
      {
        path: '/changeFamilyNumber',
        name: 'changeFamilyNumber',
        component: () => import('@/views/myself/changeFamilyNumber'),
        meta: { title: '修改亲情号码', keepAlive: false }
      },
      {
        path: '/addFamilyNumber',
        name: 'addFamilyNumber',
        component: () => import('@/views/myself/addFamilyNumber'),
        meta: { title: '增加亲情号码', keepAlive: false }
      }
    ]
  }
];
